SOURCES: nfs.init - unify order for status - "Sanity checks" unnec...

glen glen at pld-linux.org
Mon Oct 2 22:01:06 CEST 2006


Author: glen                         Date: Mon Oct  2 20:01:06 2006 GMT
Module: SOURCES                       Tag: HEAD
---- Log message:
- unify order for status
- "Sanity checks" unneccessary due rpm integrity

---- Files affected:
SOURCES:
   nfs.init (1.35 -> 1.36) 

---- Diffs:

================================================================
Index: SOURCES/nfs.init
diff -u SOURCES/nfs.init:1.35 SOURCES/nfs.init:1.36
--- SOURCES/nfs.init:1.35	Mon Oct  2 21:59:12 2006
+++ SOURCES/nfs.init	Mon Oct  2 22:01:01 2006
@@ -21,18 +21,13 @@
 # Check that networking is up.
 if is_yes "${NETWORKING}"; then
 	if [ ! -f /var/lock/subsys/network -a "$1" != stop -a "$1" != status ]; then
-		msg_network_down NFSD
+		msg_network_down "NFS daemon"
 		exit 1
 	fi
 else
 	exit 0
 fi
 
-# Sanity checks
-[ -x /usr/sbin/rpc.nfsd ] || exit 0
-[ -x /usr/sbin/rpc.mountd ] || exit 0
-[ -f /etc/exports ] || exit 0
-
 start() {
 	# Check if the service is already running?
 	if [ ! -f /var/lock/subsys/nfs ]; then
@@ -75,7 +70,7 @@
 		daemon rpc.nfsd $RPCNFSDCOUNT
 		touch /var/lock/subsys/nfs
 	else
-		msg_already_running "NFS"
+		msg_already_running "NFS daemon"
 	fi
 }
 
@@ -114,13 +109,6 @@
   stop)
   	stop
 	;;
-  status)
-	status rpc.mountd
-	RETVAL=$?
-	status nfsd
-	RET=$?
-	[ $RETVAL -eq 0 ] && RETVAL=$RET
-	;;
   restart)
 	stop
 	start
@@ -152,6 +140,13 @@
 		echo reload
 		exit 0
 	fi
+	;;
+  status)
+	status rpc.mountd
+	RETVAL=$?
+	status nfsd
+	RET=$?
+	[ $RETVAL -eq 0 ] && RETVAL=$RET
 	;;
   *)
 	msg_usage "$0 {start|stop|restart|reload|force-reload|probe|status}"
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/SOURCES/nfs.init?r1=1.35&r2=1.36&f=u



More information about the pld-cvs-commit mailing list